cPanel libgcc_s.so.1 must be installed for pthread_cancel to work

Stop worrying about your server.

cPanel Server Management for just $59/mo with Unlimited tickets, Unlimited admin hours, Security audits, 24×7 monitoring and lot more 

cPanel Server Management  $59/mo Click here

cPanel libgcc_s.so.1 must be installed for pthread_cancel to work :

If you face this error in your cPanel server, first check whether the module is installed or not.

libgcc_s.so.1

If it is available on your server, then check for the proper error occurred by checking the error log, in detailed error log you can see that the error is caused for which program. If you are getting internal server error and this error while loading the php file then,

Check the memory limitation in cpanel config file, for that use the command,

grep -i maxmem /var/cpanel/cpanel.config

Now it will show result like below,

[email protected] [~]# grep -i maxmem /var/cpanel/cpanel.config
maxmem=256

If it is less than 512MB then simply increase it to 512MB. Now you need to update this in cPanel. For that use the command below,

/usr/local/cpanel/whostmgr/bin/whostmgr2 –updatetweaksettings

Also it typically needs a cPanel restart.

Then check the issue again, If it still not resolved then you need to check the php versions installed on the server, and also you need make sure the current running version of php has no dependencies remaining.

It is good to go for an rebuild the apache and php configurations using easyapache, and it will solve the issue.

Need our help to fix the issue ? Submit Support Ticket Now

View Server Administration Packages

Leave a Reply

Your email address will not be published. Required fields are marked *